Bug 16239 - Upgrade Bootstrap in the staff client
Summary: Upgrade Bootstrap in the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15883
Blocks: 14546 17873 18061 17874 17929 18005
  Show dependency treegraph
 
Reported: 2016-04-11 12:47 UTC by Owen Leonard
Modified: 2017-02-06 08:43 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16239: Update Bootstrap to 3.3.7 (261.45 KB, patch)
2016-10-11 09:56 UTC, Josef Moravec
Details | Diff | Splinter Review
16239: Add Bootstrap theme css (23.57 KB, patch)
2016-10-11 09:56 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (305.03 KB, patch)
2016-10-11 09:56 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-10-11 09:56 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (8.50 KB, patch)
2016-10-11 09:57 UTC, Josef Moravec
Details | Diff | Splinter Review
Radioboxes, checkboxes and a label do not dieplay as expected (201.94 KB, application/pdf)
2016-10-11 15:02 UTC, Marc Véron
Details
Bug 16239: Update Bootstrap to 3.3.7 (261.45 KB, patch)
2016-10-13 10:08 UTC, Josef Moravec
Details | Diff | Splinter Review
16239: Add Bootstrap theme css (23.57 KB, patch)
2016-10-13 10:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (305.03 KB, patch)
2016-10-13 10:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-10-13 10:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (9.61 KB, patch)
2016-10-13 10:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Advanced cataloguing editor changes (4.87 KB, patch)
2016-10-13 10:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update searchengine mappings configuration page (2.14 KB, patch)
2016-10-13 10:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (261.45 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
16239: Add Bootstrap theme css (23.57 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (305.03 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (9.61 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Advanced cataloguing editor changes (4.87 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update searchengine mappings configuration page (2.14 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Customize bootstrap files (333.52 KB, patch)
2016-10-14 13:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Fixing some forms display issues (2.02 KB, patch)
2016-10-14 13:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Get rid of icon-* classes (1.96 KB, patch)
2016-10-14 13:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Fix forms in tables (791 bytes, patch)
2016-10-14 13:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Config of bootstrap customization (17.73 KB, application/json)
2016-10-14 17:31 UTC, Josef Moravec
Details
Bug 16239: Update Bootstrap to 3.3.7 (263.05 KB, patch)
2016-10-21 18:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (310.96 KB, patch)
2016-10-21 18:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (10.54 KB, patch)
2016-10-21 18:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-10-21 18:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (263.05 KB, patch)
2016-11-01 11:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (312.09 KB, patch)
2016-11-01 11:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (10.54 KB, patch)
2016-11-01 11:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-11-01 11:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Adapt new housebound module template to Bootstrap 3 (3.83 KB, patch)
2016-11-01 11:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Polishing things (2.20 KB, patch)
2016-11-01 11:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Rebased on master on 2016-11-01, commit 6001765 (5.30 KB, patch)
2016-11-01 11:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (263.05 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (312.09 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (10.54 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Adapt new housebound module template to Bootstrap 3 (3.83 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Polishing things (2.20 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Rebased on master on 2016-11-09, commit 80c80ca (6.28 KB, patch)
2016-11-09 11:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (255.60 KB, patch)
2016-11-10 10:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (324.42 KB, patch)
2016-11-10 10:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (12.93 KB, patch)
2016-11-10 10:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-11-10 10:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Config of bootstrap customization (17.68 KB, application/json)
2016-11-10 10:07 UTC, Josef Moravec
Details
Bug 16239: Update Bootstrap to 3.3.7 (255.60 KB, patch)
2016-11-25 16:19 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (324.41 KB, patch)
2016-11-25 16:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (12.93 KB, patch)
2016-11-25 16:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-11-25 16:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Use inline-block for split buttons only in tables (853 bytes, patch)
2016-11-25 16:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (255.60 KB, patch)
2016-12-09 13:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update templates (324.41 KB, patch)
2016-12-09 13:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update css files (12.93 KB, patch)
2016-12-09 13:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.33 KB, patch)
2016-12-09 13:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Use inline-block for split buttons only in tables (853 bytes, patch)
2016-12-09 13:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (255.60 KB, patch)
2016-12-20 19:44 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16239: Update Bootstrap to 3.3.7 (255.66 KB, patch)
2016-12-20 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16239: Update templates (324.39 KB, patch)
2016-12-20 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16239: Update css files (13.00 KB, patch)
2016-12-20 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16239: Update javascript files (2.39 KB, patch)
2016-12-20 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16239: Use inline-block for split buttons only in tables (917 bytes, patch)
2016-12-20 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client (16.44 KB, patch)
2016-12-20 19:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (255.65 KB, patch)
2017-01-09 14:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239: Update templates (328.04 KB, patch)
2017-01-09 14:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239: Update css files (12.98 KB, patch)
2017-01-09 14:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.38 KB, patch)
2017-01-09 14:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239: Use inline-block for split buttons only in tables (903 bytes, patch)
2017-01-09 14:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client (16.44 KB, patch)
2017-01-09 14:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client (16.49 KB, patch)
2017-01-09 16:26 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client (16.50 KB, patch)
2017-01-09 16:31 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap's license on the about page (1.47 KB, patch)
2017-01-10 08:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Followup - remove unusable js from cateditor-ui.inc (1.16 KB, patch)
2017-01-10 10:53 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap to 3.3.7 (255.71 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Update templates (328.10 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Update css files (13.04 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Update javascript files (2.44 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Use inline-block for split buttons only in tables (966 bytes, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client (16.56 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Update Bootstrap's license on the about page (1.53 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16239: Followup - remove unusable js from cateditor-ui.inc (1.22 KB, patch)
2017-01-10 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-04-11 12:47:02 UTC
Now that we are on a path to getting a jQuery upgrade, it's time to start working on an upgrade to Bootstrap in the staff client.

I propose that this upgrade be done as a precursor to (rather than simultaneously with) a full conversion of the staff client to a Bootstrap grid (Bug 14546).
Comment 1 David Cook 2016-04-11 23:14:49 UTC
For anyone in fear of Bootstrap v3 not working with older browsers, I just want to add that there are third-party polyfills/shims available online, which allow Bootstrap v3 to work more or less with older browsers like IE7 and IE8. 

DSpace JSPUI uses Bootstrap v3, and I've utilized these other tools to make DSpace work correctly for older browsers (which are sadly still required by corporate/government IT departments).

While I don't think it's Koha's responsibility to deal with that third-party support at all, I just wanted to put it on the record that individuals should be able to get it work on their own, if they require it.

In other words, hurray for Owen being awesome!
Comment 2 M. Tompsett 2016-06-23 20:06:41 UTC
(In reply to David Cook from comment #1)
> In other words, hurray for Owen being awesome!

Seconded! Bootstrap in the Staff client would be awesome as well. :)
Comment 3 Josef Moravec 2016-10-11 09:56:40 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2016-10-11 09:56:47 UTC Comment hidden (obsolete)
Comment 5 Josef Moravec 2016-10-11 09:56:53 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2016-10-11 09:56:57 UTC Comment hidden (obsolete)
Comment 7 Josef Moravec 2016-10-11 09:57:01 UTC Comment hidden (obsolete)
Comment 8 Josef Moravec 2016-10-11 09:57:56 UTC
I am pretty sure it's not perfect yet, but I'd like others to have a look at this...
Comment 9 Marc Véron 2016-10-11 15:02:36 UTC
Created attachment 56201 [details]
Radioboxes, checkboxes and a label do not dieplay as expected


First findings: It seems that radio boxes and checkboxes are moved after applying the patch.
See attached PDF (PDF bookmarks = comments)
Comment 10 Josef Moravec 2016-10-13 10:08:58 UTC Comment hidden (obsolete)
Comment 11 Josef Moravec 2016-10-13 10:09:04 UTC Comment hidden (obsolete)
Comment 12 Josef Moravec 2016-10-13 10:09:12 UTC Comment hidden (obsolete)
Comment 13 Josef Moravec 2016-10-13 10:09:16 UTC Comment hidden (obsolete)
Comment 14 Josef Moravec 2016-10-13 10:09:23 UTC Comment hidden (obsolete)
Comment 15 Josef Moravec 2016-10-13 10:09:29 UTC Comment hidden (obsolete)
Comment 16 Josef Moravec 2016-10-13 10:09:34 UTC Comment hidden (obsolete)
Comment 17 Josef Moravec 2016-10-13 10:11:45 UTC
Thanks for testing Marc!

I hope I've addressed the issues you point at and rebased on master.
Comment 18 Owen Leonard 2016-10-14 08:59:39 UTC
Josef did you use the Bootstrap download customizer? Our 2.x Bootstrap js is limited to these plugins:

bootstrap-transition.js, bootstrap-modal.js, bootstrap-dropdown.js, bootstrap-tooltip.js, bootstrap-popover.js, bootstrap-affix.js, bootstrap-alert.js, bootstrap-button.js

I'm pretty sure the 2.x Bootstrap CSS is limited too, but unfortunately the file doesn't contain a list of the included components. I'll have to check my notes at home.

It think it would be worthwhile to continue to use the Bootstrap download customizer so that we're not including functionality we're not using and thus keeping JS and CSS file size smaller.
Comment 19 Josef Moravec 2016-10-14 09:31:44 UTC
(In reply to Owen Leonard from comment #18)
> Josef did you use the Bootstrap download customizer? Our 2.x Bootstrap js is
> limited to these plugins:

I didn't, but I agree I should ;)

I'll try it and submit followup, thanks!
Comment 20 Josef Moravec 2016-10-14 13:21:21 UTC Comment hidden (obsolete)
Comment 21 Josef Moravec 2016-10-14 13:21:26 UTC Comment hidden (obsolete)
Comment 22 Josef Moravec 2016-10-14 13:21:33 UTC Comment hidden (obsolete)
Comment 23 Josef Moravec 2016-10-14 13:21:37 UTC Comment hidden (obsolete)
Comment 24 Josef Moravec 2016-10-14 13:21:42 UTC Comment hidden (obsolete)
Comment 25 Josef Moravec 2016-10-14 13:21:47 UTC Comment hidden (obsolete)
Comment 26 Josef Moravec 2016-10-14 13:21:52 UTC Comment hidden (obsolete)
Comment 27 Josef Moravec 2016-10-14 13:21:57 UTC Comment hidden (obsolete)
Comment 28 Josef Moravec 2016-10-14 13:22:05 UTC Comment hidden (obsolete)
Comment 29 Josef Moravec 2016-10-14 13:22:11 UTC Comment hidden (obsolete)
Comment 30 Josef Moravec 2016-10-14 13:22:16 UTC Comment hidden (obsolete)
Comment 31 Josef Moravec 2016-10-14 17:31:57 UTC Comment hidden (obsolete)
Comment 32 Josef Moravec 2016-10-21 18:52:27 UTC Comment hidden (obsolete)
Comment 33 Josef Moravec 2016-10-21 18:52:38 UTC Comment hidden (obsolete)
Comment 34 Josef Moravec 2016-10-21 18:52:47 UTC Comment hidden (obsolete)
Comment 35 Josef Moravec 2016-10-21 18:52:55 UTC Comment hidden (obsolete)
Comment 36 Josef Moravec 2016-10-21 18:53:46 UTC Comment hidden (obsolete)
Comment 37 Josef Moravec 2016-11-01 11:21:26 UTC Comment hidden (obsolete)
Comment 38 Josef Moravec 2016-11-01 11:21:35 UTC Comment hidden (obsolete)
Comment 39 Josef Moravec 2016-11-01 11:21:44 UTC Comment hidden (obsolete)
Comment 40 Josef Moravec 2016-11-01 11:21:51 UTC Comment hidden (obsolete)
Comment 41 Josef Moravec 2016-11-01 11:22:01 UTC Comment hidden (obsolete)
Comment 42 Josef Moravec 2016-11-01 11:22:08 UTC Comment hidden (obsolete)
Comment 43 Josef Moravec 2016-11-01 11:22:13 UTC Comment hidden (obsolete)
Comment 44 Josef Moravec 2016-11-09 11:25:05 UTC Comment hidden (obsolete)
Comment 45 Josef Moravec 2016-11-09 11:25:18 UTC Comment hidden (obsolete)
Comment 46 Josef Moravec 2016-11-09 11:25:23 UTC Comment hidden (obsolete)
Comment 47 Josef Moravec 2016-11-09 11:25:29 UTC Comment hidden (obsolete)
Comment 48 Josef Moravec 2016-11-09 11:25:35 UTC Comment hidden (obsolete)
Comment 49 Josef Moravec 2016-11-09 11:25:40 UTC Comment hidden (obsolete)
Comment 50 Josef Moravec 2016-11-09 11:25:49 UTC Comment hidden (obsolete)
Comment 51 Owen Leonard 2016-11-09 18:31:23 UTC
> It think it would be worthwhile to continue to use the Bootstrap download
> customizer so that we're not including functionality we're not using and
> thus keeping JS and CSS file size smaller.

Do we need tab, affix, and collapse? tab and collapse are currently being provided by jQueryUI. We should pick one or the other.

Overall everything looks great, but I found some issues:

- <caption> inheriting the color #777 from the default Bootstrap CSS (should be black).
- The MARC preview modal on the detail page is broken. There is some in-page CSS which changes the width of that modal (and some others -- cataloging merge for instance), and the update has broken it.
- DataTables "Processing" box which shows while tables are rendering looks bad.
- If you have translations installed with sub-languages (like en + en-GB), the menu link color on hover is white and thus unreadable.
- Radio button alignment on the Calendar entry form is off
- Split buttons wrapping badly on saved reports page and serials search results
Comment 52 Josef Moravec 2016-11-10 10:04:21 UTC Comment hidden (obsolete)
Comment 53 Josef Moravec 2016-11-10 10:04:29 UTC Comment hidden (obsolete)
Comment 54 Josef Moravec 2016-11-10 10:04:36 UTC Comment hidden (obsolete)
Comment 55 Josef Moravec 2016-11-10 10:04:45 UTC Comment hidden (obsolete)
Comment 56 Josef Moravec 2016-11-10 10:05:59 UTC
(In reply to Owen Leonard from comment #51)
> 
> Do we need tab, affix, and collapse? tab and collapse are currently being
> provided by jQueryUI. We should pick one or the other.

I agree that we shouldn't duplicate the functionalities, so I removed these 3 modules and bootstrap js has 7 kB less in size now

> 
> Overall everything looks great, but I found some issues:
> 
> - <caption> inheriting the color #777 from the default Bootstrap CSS (should
> be black).

Fixed

> - The MARC preview modal on the detail page is broken. There is some in-page
> CSS which changes the width of that modal (and some others -- cataloging
> merge for instance), and the update has broken it.

There were some other I fixed before, but I missed this one. Now fixed.

> - DataTables "Processing" box which shows while tables are rendering looks
> bad.

Should be fixed.

> - If you have translations installed with sub-languages (like en + en-GB),
> the menu link color on hover is white and thus unreadable.

Fixed, look at it please, if it's ok or need adjusting more

> - Radio button alignment on the Calendar entry form is off

Fixed

> - Split buttons wrapping badly on saved reports page and serials search
> results

It's not as easy as it could looks like... I tried solution from here: https://github.com/twbs/bootstrap/issues/9939, another possibility is using flex, if we decide we can adapt it, see http://caniuse.com/#search=flexbox for browser support. 

I also squashed the patches again.

I hope I haven't break anything.

Thanks for testing!
Comment 57 Josef Moravec 2016-11-10 10:07:45 UTC
Created attachment 57420 [details]
Config of bootstrap customization
Comment 58 Josef Moravec 2016-11-25 16:19:57 UTC Comment hidden (obsolete)
Comment 59 Josef Moravec 2016-11-25 16:20:06 UTC Comment hidden (obsolete)
Comment 60 Josef Moravec 2016-11-25 16:20:14 UTC Comment hidden (obsolete)
Comment 61 Josef Moravec 2016-11-25 16:20:23 UTC Comment hidden (obsolete)
Comment 62 Josef Moravec 2016-11-25 16:20:29 UTC Comment hidden (obsolete)
Comment 63 Josef Moravec 2016-11-25 16:36:17 UTC
Rebased on master
 
> > - Split buttons wrapping badly on saved reports page and serials search
> > results
> 
> It's not as easy as it could looks like... I tried solution from here:
> https://github.com/twbs/bootstrap/issues/9939, another possibility is using
> flex, if we decide we can adapt it, see http://caniuse.com/#search=flexbox
> for browser support. 
> 

I added more specifity for the split button style just to affect only the buttons in tables, not other (like in toolbars for example)
Comment 64 Josef Moravec 2016-12-09 13:15:12 UTC Comment hidden (obsolete)
Comment 65 Josef Moravec 2016-12-09 13:15:21 UTC Comment hidden (obsolete)
Comment 66 Josef Moravec 2016-12-09 13:15:27 UTC Comment hidden (obsolete)
Comment 67 Josef Moravec 2016-12-09 13:15:33 UTC Comment hidden (obsolete)
Comment 68 Josef Moravec 2016-12-09 13:15:38 UTC Comment hidden (obsolete)
Comment 69 Owen Leonard 2016-12-20 19:44:21 UTC Comment hidden (obsolete)
Comment 70 Owen Leonard 2016-12-20 19:46:23 UTC Comment hidden (obsolete)
Comment 71 Owen Leonard 2016-12-20 19:46:32 UTC Comment hidden (obsolete)
Comment 72 Owen Leonard 2016-12-20 19:46:41 UTC Comment hidden (obsolete)
Comment 73 Owen Leonard 2016-12-20 19:46:47 UTC Comment hidden (obsolete)
Comment 74 Owen Leonard 2016-12-20 19:46:59 UTC Comment hidden (obsolete)
Comment 75 Owen Leonard 2016-12-20 19:49:03 UTC Comment hidden (obsolete)
Comment 76 Jonathan Druart 2017-01-09 14:03:21 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/includes/members-toolbar.inc
Comment 77 Owen Leonard 2017-01-09 14:36:03 UTC
Created attachment 58678 [details] [review]
Bug 16239: Update Bootstrap to 3.3.7

Customization tool used.

Javascript modules:
    alert
    button
    dropdown
    modal
    tooltip
    popover
    transition

CSS modules:
    type
    code
    grid
    tables
    forms
    buttons
    responsive-utilities
    button-groups
    input-groups
    navs
    navbar
    breadcrumbs
    pagination
    pager
    labels
    badges
    thumbnails
    alerts
    progress-bars
    media
    list-group
    panels
    responsive-embed
    close
    component-animations
    dropdowns
    tooltip
    popovers
    modals

Test plan:
1) Apply the patch
2) Try to go through interface to find problems, inconsistencies, etc.
3) Read the diff

Migration guide for bootstrap: http://getbootstrap.com/migration/

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 78 Owen Leonard 2017-01-09 14:36:14 UTC
Created attachment 58679 [details] [review]
Bug 16239: Update templates

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 79 Owen Leonard 2017-01-09 14:36:22 UTC
Created attachment 58680 [details] [review]
Bug 16239: Update css files

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 80 Owen Leonard 2017-01-09 14:36:32 UTC
Created attachment 58681 [details] [review]
Bug 16239: Update javascript files

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 81 Owen Leonard 2017-01-09 14:36:40 UTC
Created attachment 58682 [details] [review]
Bug 16239: Use inline-block for split buttons only in tables

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 82 Owen Leonard 2017-01-09 14:36:48 UTC
Created attachment 58683 [details] [review]
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client

This followup tweaks some CSS and markup in order to correct conflicts
between default Bootstrap styles and the expected (previous) style of
the staff client. Included:

- Corrections to the widths of some modals.
- Corrections to the style of the <pre> tag, seen often in MARC preview
  modals.
- Corrections to the default active and hover states for dropdown menus.

To test, apply the patch and view various pages which use Bootstrap
modals, confirming that they look correct.

- Add order from staged file MARC preview
- Add order from external source MARC preview
- Cataloging record merge MARC preview
- Batch record modification MARC preview
- Authorities Z39.50 search MARC preview
Comment 83 Claire Gravely 2017-01-09 16:26:19 UTC
Created attachment 58691 [details] [review]
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client

This followup tweaks some CSS and markup in order to correct conflicts
between default Bootstrap styles and the expected (previous) style of
the staff client. Included:

- Corrections to the widths of some modals.
- Corrections to the style of the <pre> tag, seen often in MARC preview
  modals.
- Corrections to the default active and hover states for dropdown menus.

To test, apply the patch and view various pages which use Bootstrap
modals, confirming that they look correct.

- Add order from staged file MARC preview
- Add order from external source MARC preview
- Cataloging record merge MARC preview
- Batch record modification MARC preview
- Authorities Z39.50 search MARC preview

Signed-off-by: Claire <claire_gravely@hotmail.com>
Comment 84 Claire Gravely 2017-01-09 16:31:15 UTC
Created attachment 58697 [details] [review]
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client

This followup tweaks some CSS and markup in order to correct conflicts
between default Bootstrap styles and the expected (previous) style of
the staff client. Included:

- Corrections to the widths of some modals.
- Corrections to the style of the <pre> tag, seen often in MARC preview
  modals.
- Corrections to the default active and hover states for dropdown menus.

To test, apply the patch and view various pages which use Bootstrap
modals, confirming that they look correct.

- Add order from staged file MARC preview
- Add order from external source MARC preview
- Cataloging record merge MARC preview
- Batch record modification MARC preview
- Authorities Z39.50 search MARC preview

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 85 Jonathan Druart 2017-01-10 08:29:41 UTC
Some quick remarks and questions:
- Is it expected to have these "big" buttons everywhere? Why do we want to have bigger buttons?
Note that some buttons have not been converted.
- Some JS code have been commented in cateditor-ui.inc. I did not get why it is for. We should either add a comment to explain why it is commented, remove the code or let it as before.

Otherwise everything looks fine, great job!
Comment 86 Jonathan Druart 2017-01-10 08:30:01 UTC
Created attachment 58722 [details] [review]
Bug 16239: Update Bootstrap's license on the about page
Comment 87 Josef Moravec 2017-01-10 10:52:38 UTC
Thanks for testing and feedback Jonathan!

(In reply to Jonathan Druart from comment #85)
> Some quick remarks and questions:
> - Is it expected to have these "big" buttons everywhere? Why do we want to
> have bigger buttons?

The buttons in bootstrap 3 are a bit bigger than in version 2 by default. So button "levels" in Koha remains the same, but the absolute size of button is different. We can shift it down in Koha if we really wan't, but I don't think it is neccesary - from my point of view it more comfortable to use bigger buttons, but it's just my opinion, I don't have any data about that for now...

> Note that some buttons have not been converted.

Many buttons weren't transformed to bootstrap ever yet, I plan to make followup (omnibus) bug for using bootstrap everywhere where it makes sense.

Mayby some buttons which are new due to continuing the work on Koha master, I updated this patchset about a month ago - I can make a followup, or we can decide to make it on another bug, what do you think?

> - Some JS code have been commented in cateditor-ui.inc. I did not get why it
> is for. We should either add a comment to explain why it is commented,
> remove the code or let it as before.
> 

Yep, we should remove this code, it was for styling of modals, which is now made differently. I'll add the followup patch

> Otherwise everything looks fine, great job!

Thanks! ;)
Comment 88 Josef Moravec 2017-01-10 10:53:22 UTC
Created attachment 58729 [details] [review]
Bug 16239: Followup - remove unusable js from cateditor-ui.inc
Comment 89 Josef Moravec 2017-01-10 10:58:57 UTC
(In reply to Josef Moravec from comment #87)
> 
> Many buttons weren't transformed to bootstrap ever yet, I plan to make
> followup (omnibus) bug for using bootstrap everywhere where it makes sense.
> 

Bug 17873
Comment 90 Jonathan Druart 2017-01-10 11:13:00 UTC
Created attachment 58731 [details] [review]
Bug 16239: Update Bootstrap to 3.3.7

Customization tool used.

Javascript modules:
    alert
    button
    dropdown
    modal
    tooltip
    popover
    transition

CSS modules:
    type
    code
    grid
    tables
    forms
    buttons
    responsive-utilities
    button-groups
    input-groups
    navs
    navbar
    breadcrumbs
    pagination
    pager
    labels
    badges
    thumbnails
    alerts
    progress-bars
    media
    list-group
    panels
    responsive-embed
    close
    component-animations
    dropdowns
    tooltip
    popovers
    modals

Test plan:
1) Apply the patch
2) Try to go through interface to find problems, inconsistencies, etc.
3) Read the diff

Migration guide for bootstrap: http://getbootstrap.com/migration/

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 91 Jonathan Druart 2017-01-10 11:13:06 UTC
Created attachment 58732 [details] [review]
Bug 16239: Update templates

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 92 Jonathan Druart 2017-01-10 11:13:10 UTC
Created attachment 58733 [details] [review]
Bug 16239: Update css files

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 93 Jonathan Druart 2017-01-10 11:13:14 UTC
Created attachment 58734 [details] [review]
Bug 16239: Update javascript files

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 94 Jonathan Druart 2017-01-10 11:13:18 UTC
Created attachment 58735 [details] [review]
Bug 16239: Use inline-block for split buttons only in tables

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 95 Jonathan Druart 2017-01-10 11:13:22 UTC
Created attachment 58736 [details] [review]
Bug 16239 [CSS Follow-up] Upgrade Bootstrap in the staff client

This followup tweaks some CSS and markup in order to correct conflicts
between default Bootstrap styles and the expected (previous) style of
the staff client. Included:

- Corrections to the widths of some modals.
- Corrections to the style of the <pre> tag, seen often in MARC preview
  modals.
- Corrections to the default active and hover states for dropdown menus.

To test, apply the patch and view various pages which use Bootstrap
modals, confirming that they look correct.

- Add order from staged file MARC preview
- Add order from external source MARC preview
- Cataloging record merge MARC preview
- Batch record modification MARC preview
- Authorities Z39.50 search MARC preview

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 96 Jonathan Druart 2017-01-10 11:13:26 UTC
Created attachment 58737 [details] [review]
Bug 16239: Update Bootstrap's license on the about page

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 97 Jonathan Druart 2017-01-10 11:13:30 UTC
Created attachment 58738 [details] [review]
Bug 16239: Followup - remove unusable js from cateditor-ui.inc

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 98 Jonathan Druart 2017-01-10 11:14:58 UTC
Josef,
Yes, everything else on another bug report :)
Comment 99 Josef Moravec 2017-01-10 12:26:09 UTC
(In reply to Jonathan Druart from comment #98)
> Josef,
> Yes, everything else on another bug report :)

;)

I started working on it ;)
Comment 100 Kyle M Hall 2017-01-13 14:41:22 UTC
Pushed to master for 17.05, thanks Josef, Owen!
Comment 101 Katrin Fischer 2017-01-15 19:06:48 UTC
Obviously: This won't get ported back to 16.11.x as it is an enhancement.
Comment 102 Jonathan Druart 2017-01-18 12:21:38 UTC
Update your QA tests repo!

commit 89a86cceb79b412a26b68cd8c2e4907060af2f6d
Author: Jonathan Druart <jonathan.druart@gmail.com>
Date:   Wed Jan 18 13:16:57 2017 +0100

    Add checkts for Bootstrap v3 (bug 16239)

(arf typo)
Comment 103 Josef Moravec 2017-01-18 12:56:24 UTC
(In reply to Jonathan Druart from comment #102)
> Update your QA tests repo!
> 
> commit 89a86cceb79b412a26b68cd8c2e4907060af2f6d
> Author: Jonathan Druart <jonathan.druart@gmail.com>
> Date:   Wed Jan 18 13:16:57 2017 +0100
> 
>     Add checkts for Bootstrap v3 (bug 16239)
> 
> (arf typo)

Great, thank you Jonathan!